# Overview
The Physio-AI Companion's User interface provides a user-friendly way to interact with the core functionalities of the Physio-AI system. This includes video capture, user/client monitoring and analysis through Client Portal, and viewing comprehensive feedback on physical therapy sessions through Practioner Portal. Below, you'll find details on each part of the web interface.

## CSS: 
Uses default.css for styling the layout and elements consistently across the platform.

# HTML Files
## 1. Index (index.html)
The landing page of the application. It provides an overview of the Physio-AI Companion and links to all other sections of the application.

## 2. Login (login.html)
Allows users to log in to access personalized features. It includes form validation and error handling to guide the user experience.

## 3. Capture (capture.html)
Facilitates the video capture of physiotherapy sessions with guidelines on how to record effectively. It includes a timer and on-screen instructions.
JavaScript: Manages the countdown timer for recording preparation and handles the recording control logic.

## 4. Upload (upload.html)
Allows users to upload video files for analysis. It supports file selection and provides immediate visual confirmation of the upload status.

## 5. Client Portal (client.html)
Designed for clients to view their individual session results, including video playback synchronized with graphical data representations.
JavaScript: Integrates with Chart.js for graphical representations and manages video-graph synchronization.

## 6. Practitioner Portal (practitioner.html)
Provides practitioners with tools to analyze client sessions, compare metrics across sessions, and generate reports.
JavaScript: Utilizes D3.js for data visualization and custom scripts for interactive data filtering and report generation.

## 7. About (about.html)
Details about the project, the team behind it, and the technologies used. Includes photographs and biographies of team members.

## JavaScript
The Capture.js and Practitioner.js scripts are stored in the /webserver/static/js directory and are integrated into their respective HTML files.

## Video Graph Mapping (video_graph_mapping.json)
This JSON file maps video files to their corresponding graphical data outputs. It is crucial for synchronizing video playback with real-time data visualization in the Client Portal. Utilized by JavaScript to dynamically update content based on user interactions, ensuring that video and graph data are displayed in sync.

## Images
Description: Images are used across various HTML files to enhance the UI's visual appeal and user experience.
Storage: All images are stored in the /webserver/static/images directory.
Usage:
Logo Image: Displayed on every page for branding purposes.
Team Photos: Featured in the About section to introduce the team members behind the project.

# Usage
Navigate to the Web Server IP and login with porivided credentails to explore UI features. 
<img width="2237" alt="image" src="https://github.com/labenf12/Physio-AI-Companion/assets/15385842/2096a912-02a5-4d3f-ac8f-b633abf51201">
